Bug 1280430 - Broken boot 2 - AMD 32-bit - kernel 4.4
Broken boot 2 - AMD 32-bit - kernel 4.4
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
i686 Linux
unspecified Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-11 12:42 EST by poma
Modified: 2015-12-09 15:42 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-09 15:42:46 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description poma 2015-11-11 12:42:11 EST
Description of problem:
Perpetual reboot

Version-Release number of selected component (if applicable):
kernel-core-4.4.0-0.rc0.git4.2.fc24.i686
kernel-core-4.4.0-0.rc0.git5.1.fc24.i686

How reproducible:
101%

Steps to Reproduce:
1. Install 4.4.x kernel
2. Re/boot with 4.4.x kernel

Actual results:
Broken re/boot

Expected results:
Correct re/boot

Additional info:
The machine auto reboots very early,
the last message observed on the display before the actual auto reboot:
"agpgart: Detected ..."

HW:
CPU op-mode(s):        32-bit
Vendor ID:             AuthenticAMD
Comment 1 poma 2015-11-16 00:19:28 EST
Tested also:
4.4.0-0.rc0.git2.1.fc24
4.4.0-0.rc0.git9.1.fc24

In the virtual machine, boot stops at the
[    0.000000] random: nonblocking pool is initialized

and there remains - no auto reboot as on baremetal.
Comment 2 poma 2015-11-21 05:33:32 EST
...
Call Trace:
 [<c04b95f3>] ? trace_hardirqs_off_caller+0x33/0xb0
 [<c04b967b>] ? trace_hardirqs_off+0xb/0x10
 [<c047d840>] queue_work_on+0x40/0x80
 [<c08a0f3d>] credit_entropy_bits+0x2ad/0x3e0
 [<c08a43cf>] ? add_interrupt_randomness+0x15f/0x1c0
 [<c08a43cf>] add_interrupt_randomness+0x15f/0x1c0
 [<c04d426b>] handle_irq_event_percpu+0x21b/0x300
 [<c04d437e>] handle_irq_event+0x2e/0x50
 [<c04d74ce>] handle_level_irq+0x6e/0xf0
 [<c04d7460>] ? handle_fasteoi_irq+0x140/0x140
 [<c04069c3>] handle_irq+0xa3/0xd0
 <IRQ> 
 [<c0405f74>] do_IRQ+0x54/0x120
 [<c04689a0>] ? cpu_callback+0x2f0/0x2f0
 [<c04689a0>] ? cpu_callback+0x2f0/0x2f0
 [<c0ba8978>] common_interrupt+0x38/0x40
 [<c04689a0>] ? cpu_callback+0x2f0/0x2f0
 [<c044cdc5>] ? native_irq_enable+0x5/0x10
 [<c0468a36>] ? __do_softirq+0x96/0x420
 [<c04689a0>] ? cpu_callback+0x2f0/0x2f0
 [<c0406918>] do_softirq_own_stack+0x28/0x30
 <IRQ> 
 [<c0468fa5>] irq_exit+0xc5/0xd0
 [<c0405f7d>] do_IRQ+0x5d/0x120
 [<c0ba8978>] common_interrupt+0x38/0x40
 [<c044cda5>] ? native_restore_fl+0x5/0x10
 [<c0ba77d7>] _raw_spin_unlock_irqrestore+0x37/0x60
 [<c04d60ce>] __setup_irq+0x28e/0x5d0
 [<c0797b26>] ? __radix_tree_lookup+0xa6/0xf0
 [<c04d6441>] setup_irq+0x31/0x80
 [<c0f4d670>] setup_default_timer_irq+0x19/0x1b
 [<c0f4d688>] hpet_time_init+0x16/0x18
 [<c0f4d650>] x86_late_time_init+0x9/0x10
 [<c0f4ab05>] start_kernel+0x378/0x439
 [<c0f4a2e3>] i386_start_kernel+0x91/0x95
Code: ec 24 e8 56 c3 72 00 89 c7 89 d6 89 cb 89 45 ec ff 15 cc 2e e9 c0 f6 c4 02 0f 85 15 03 00 00 ba d8 c0 e9 c0 89 d8 e8 4e 40 33 00 <8b> 86 00 01 00 00 a9 00 00 01 00 0f 85 20 03 00 00 69 d3 01 00
EIP: [<c047cdf2>] __queue_work+0x32/0x480 SS:ESP 0068:db835ee8
CR2: 0000000000000100
---[ end trace 45b9271da6eab66c ]---
Kernel panic - not syncing: Fatal exception in interrupt
---[ end Kernel panic - not syncing: Fatal exception in interrupt


More info:
https://bugzilla.kernel.org/show_bug.cgi?id=107981#c1
Comment 3 poma 2015-12-09 15:42:46 EST
kernel-core-4.4.0-0.rc4.git0.1.fc24.i686 boots OK.

Note You need to log in before you can comment on or make changes to this bug.